awe.sm Administration API

Retrieve All Domains

Returns a list of all domains connected with the specified subscription_key and the projects authorized to use each domain.

POSTapi.awe.sm/domains/list

HTTPS is supported on this endpoint.

Required Parameters

Parameter Type Description
subscription_key string The key of the subscription that owns the domains being retrieved. Found in subscription settings.
application_key string The key of the application authorized to perform administrative actions on the subscription. Found in application settings.

Example

POST http://api.awe.sm/projects/list?subscription_key=sub-xXXxXxxX&application_key=nZurcZ

{
    "request": {
        "application_key": "nZurcZ",
        "method": "list",
        "object": "domain",
        "subscription_key": "sub-xXXxXxxX"
    },
    "response": {
        "domains": [
            {
                "created_at": "2010-10-07 01:12:25",
                "hostname": "vipli.st",
                "not_found_redirect": "http://www.vipli.st/",
                "projects": [
                    "demo",
                    "viplist"
                ],
                "root_redirect": "http://www.vipli.st/",
                "updated_at": "2011-02-02 00:04:34"
            },
            {
                "created_at": "2010-10-07 01:12:25",
                "hostname": "demo.awe.sm",
                "not_found_redirect": "http://developers.awe.sm/404.html",
                "projects": [
                    "demo",
                    "acmecorp",
                    "conversiondemo",
                ],
                "root_redirect": "http://developers.awe.sm/",
                "updated_at": "2010-10-07 01:12:25"
            }
        ]
    }
}

Last updated 2011-10-27